% Copyright (c) 2019, Domenico L. Gatti
% All rights reserved.
% 
% Redistribution and use in source and binary forms, with or without 
% modification, are permitted provided that the following conditions are 
% met:
% 
%     * Redistributions of source code must retain the above copyright 
%       notice, this list of conditions and the following disclaimer.
%     * Redistributions in binary form must reproduce the above copyright 
%       notice, this list of conditions and the following disclaimer in 
%       the documentation and/or other materials provided with the 
%       distribution
%       
% THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
% IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
% THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
% PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
% CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
% EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
% PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
% PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
% LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
% NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
% SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
%

addpath(genpath('PMI_functions'))

%% Image # 3 Unexpanded 
clear all; clc; 
% close all

img_no = 3;
crop_margins = [];
imadj_gamma = 1.6; % [1.6]  % Gamma correction for all channels contrast enhancements
imadj_gamma_R = 2.0; % [1.6]  % Gamma correction for R channel contrast enhancements
imadj_gamma_G = 0.9; % [1.6]  % Gamma correction for G channel contrast enhancements
imadj_gamma_B = 1.6; % [1.6]  % Gamma correction for B channel contrast enhancements
imadj_gamma_P = 1.6; % [1.6]  % Gamma correction for phase contrast channel enhancements
imadj_gamma_2 = 3.0; % [1.6] % Gamma correction for cell contrast enhancement if used
threshold_scale_nuclei = 1.8;
threshold_scale_cells = 0.3;
threshold_scale_other = 0.2;
area_open_nuclei = 1000; % IMPORTANT: Smaller value allow small details to be picked as nuclei
area_open_cell = 50; % [500]
area_open_other = 50;
std_scale_small = 0.5;
std_scale_large = 4.0;
nucl_sens = 0.8; % [.45] A high sensitivity picks more pixels as foreground, at the risk of including some background pixels.
nucl_method = 'both';
cell_sens = 0.85; % [1] A high sensitivity picks more pixels as foreground, at the risk of including some background pixels.
cell_method = 'both';
strel_bg = 75; % Structuring element for background correction
strel_nuclei = 3.5; % 3.5 ; Nuclei mask
strel_nuclei_2 = 1.0; % Used in final nuclei expansion; 1 is no expansion
strel_separ = 2.0; % 3.5 ; Nuclei separating mask
strel_cell = 5; % 5 ; Cell mask
strel_cell_nuclei = 7; % 7 ; Mask to add nuclei contours to the cell boundaries
header = 'Unexpanded';
resol = '40x';
pix2micr  = 0.16;
dist_cutoff = 30; % Cutoff in microns inside which to identify the peak of myosin density
del_nucleus = [];

run Process_Microscopy_Image


